Upstream information

CVE-2023-46840 at MITRE

Description

Incorrect placement of a preprocessor directive in source code results in logic that doesn't operate as intended when support for HVM guests is compiled out of Xen.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  SUSE
Base Score 4.1
Vector CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:U/C:N/I:H/A:N
Attack Vector Local
Attack Complexity High
Privileges Required High
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact High
Availability Impact None
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1219080 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES15-SP5-Azure-Basic
Image SLES15-SP5-Azure-Standard
Image SLES15-SP5-BYOS-Azure
Image SLES15-SP5-BYOS-GCE
Image SLES15-SP5-CHOST-BYOS-Aliyun
Image SLES15-SP5-CHOST-BYOS-Azure
Image SLES15-SP5-CHOST-BYOS-GCE
Image SLES15-SP5-CHOST-BYOS-SAP-CCloud
Image SLES15-SP5-GCE
Image SLES15-SP5-HPC-Azure
Image SLES15-SP5-HPC-BYOS-Azure
Image SLES15-SP5-HPC-BYOS-GCE
Image SLES15-SP5-Hardened-BYOS-Azure
Image SLES15-SP5-Hardened-BYOS-GCE
Image SLES15-SP5-SAP-Azure-LI-BYOS
Image SLES15-SP5-SAP-Azure-LI-BYOS-Production
Image SLES15-SP5-SAP-Azure-VLI-BYOS
Image SLES15-SP5-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP5-SAP-BYOS-Azure
Image SLES15-SP5-SAP-BYOS-GCE
Image SLES15-SP5-SAP-Hardened-Azure
Image SLES15-SP5-SAP-Hardened-BYOS-Azure
Image SLES15-SP5-SAP-Hardened-BYOS-GCE
Image SLES15-SP5-SAP-Hardened-GCE
Image SLES15-SP5-SAPCAL-Azure
Image SLES15-SP5-SAPCAL-GCE
  • xen-libs >= 4.17.3_06-150500.3.24.1
Image SLES15-SP5-BYOS-EC2
Image SLES15-SP5-CHOST-BYOS-EC2
Image SLES15-SP5-EC2
Image SLES15-SP5-HPC-BYOS-EC2
Image SLES15-SP5-Hardened-BYOS-EC2
Image SLES15-SP5-SAP-BYOS-EC2
Image SLES15-SP5-SAP-Hardened-BYOS-EC2
Image SLES15-SP5-SAPCAL-EC2
  • xen-libs >= 4.17.3_06-150500.3.24.1
  • xen-tools-domU >= 4.17.3_06-150500.3.24.1
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise Module for Basesystem 15 SP5
  • xen-libs >= 4.17.3_06-150500.3.24.1
  • xen-tools-domU >= 4.17.3_06-150500.3.24.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP5-2024-266
SUSE-SLE-Module-Basesystem-15-SP5-2024-830
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • xen >= 4.17.3_06-150500.3.24.1
  • xen-devel >= 4.17.3_06-150500.3.24.1
  • xen-libs >= 4.17.3_06-150500.3.24.1
  • xen-tools >= 4.17.3_06-150500.3.24.1
  • xen-tools-domU >= 4.17.3_06-150500.3.24.1
  • xen-tools-xendomains-wait-disk >= 4.17.3_06-150500.3.24.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP5-2024-266
SUSE-SLE-Module-Basesystem-15-SP5-2024-830
SUSE-SLE-Module-Server-Applications-15-SP5-2024-266
SUSE-SLE-Module-Server-Applications-15-SP5-2024-830
SUSE Linux Enterprise Micro 5.5
  • xen-libs >= 4.17.3_06-150500.3.24.1
Patchnames:
SUSE-SLE-Micro-5.5-2024-266
SUSE-SLE-Micro-5.5-2024-830
SUSE Linux Enterprise Module for Server Applications 15 SP5
  • xen >= 4.17.3_06-150500.3.24.1
  • xen-devel >= 4.17.3_06-150500.3.24.1
  • xen-tools >= 4.17.3_06-150500.3.24.1
  • xen-tools-xendomains-wait-disk >= 4.17.3_06-150500.3.24.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP5-2024-266
SUSE-SLE-Module-Server-Applications-15-SP5-2024-830
openSUSE Leap 15.5
  • xen >= 4.17.3_06-150500.3.24.1
  • xen-devel >= 4.17.3_06-150500.3.24.1
  • xen-doc-html >= 4.17.3_06-150500.3.24.1
  • xen-libs >= 4.17.3_06-150500.3.24.1
  • xen-libs-32bit >= 4.17.3_06-150500.3.24.1
  • xen-tools >= 4.17.3_06-150500.3.24.1
  • xen-tools-domU >= 4.17.3_06-150500.3.24.1
  • xen-tools-xendomains-wait-disk >= 4.17.3_06-150500.3.24.1
Patchnames:
openSUSE-SLE-15.5-2024-266
openSUSE-SLE-15.5-2024-830
openSUSE Leap Micro 5.5
  • xen-libs >= 4.17.3_06-150500.3.24.1
Patchnames:
openSUSE-Leap-Micro-5.5-2024-266
openSUSE-Leap-Micro-5.5-2024-830
openSUSE Tumbleweed
  • xen >= 4.18.0_06-1.1
  • xen-devel >= 4.18.0_06-1.1
  • xen-doc-html >= 4.18.0_06-1.1
  • xen-libs >= 4.18.0_06-1.1
  • xen-tools >= 4.18.0_06-1.1
  • xen-tools-domU >= 4.18.0_06-1.1
  • xen-tools-xendomains-wait-disk >= 4.18.0_06-1.1
Patchnames:
openSUSE-Tumbleweed-2024-13648


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 xen Not affected
SUSE Linux Enterprise Desktop 15 SP5 xen Released
SUSE Linux Enterprise Desktop 15 SP6 xen Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 xen Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 xen Released
SUSE Linux Enterprise High Performance Computing 15 SP6 xen Already fixed
SUSE Linux Enterprise Micro 5.1 xen Not affected
SUSE Linux Enterprise Micro 5.2 xen Not affected
SUSE Linux Enterprise Micro 5.3 xen Not affected
SUSE Linux Enterprise Micro 5.4 xen Not affected
SUSE Linux Enterprise Micro 5.5 xen Released
SUSE Linux Enterprise Module for Basesystem 15 SP5 xen Released
SUSE Linux Enterprise Module for Basesystem 15 SP6 xen Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP5 xen Released
SUSE Linux Enterprise Module for Server Applications 15 SP6 xen Already fixed
SUSE Linux Enterprise Server 12 SP5 xen Not affected
SUSE Linux Enterprise Server 15 SP5 xen Released
SUSE Linux Enterprise Server 15 SP6 xen Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 xen Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 xen Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 xen Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP5 xen Not affected
SUSE Manager Proxy 4.3 xen Not affected
SUSE Manager Retail Branch Server 4.3 xen Not affected
SUSE Manager Server 4.3 xen Not affected
openSUSE Leap 15.5 xen Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 xen Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 xen Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS xen Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS xen Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 xen Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS xen Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS xen Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 xen Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS xen Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS xen Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 xen Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 xen Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 xen Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP2 xen Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP3 xen Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP4 xen Not affected
SUSE Linux Enterprise Server 15 SP2 xen Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS xen Not affected
SUSE Linux Enterprise Server 15 SP3 xen Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS xen Not affected
SUSE Linux Enterprise Server 15 SP4 xen Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS xen Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 xen Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 xen Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 xen Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 xen Not affected
SUSE CaaS Platform 3.0 xen Not affected
SUSE CaaS Platform 4.0 xen Not affected
SUSE Enterprise Storage 6 xen Not affected
SUSE Enterprise Storage 7 xen Not affected
SUSE Linux Enterprise Desktop 11 SP4 xen Not affected
SUSE Linux Enterprise Desktop 12 SP2 xen Not affected
SUSE Linux Enterprise Desktop 12 SP3 xen Not affected
SUSE Linux Enterprise Desktop 12 SP4 xen Not affected
SUSE Linux Enterprise Desktop 15 xen Not affected
SUSE Linux Enterprise Desktop 15 SP1 xen Not affected
SUSE Linux Enterprise Desktop 15 SP2 xen Not affected
SUSE Linux Enterprise Desktop 15 SP3 xen Not affected
SUSE Linux Enterprise High Performance Computing 15 xen Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 xen Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS xen Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS xen Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS xen Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS xen Not affected
SUSE Linux Enterprise Micro 5.0 xen Not affected
SUSE Linux Enterprise Module for Basesystem 15 xen Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 xen Not affected
SUSE Linux Enterprise Module for Server Applications 15 xen Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP1 xen Not affected
SUSE Linux Enterprise Real Time 15 SP2 xen Not affected
SUSE Linux Enterprise Real Time 15 SP3 xen Not affected
SUSE Linux Enterprise Real Time 15 SP4 xen Not affected
SUSE Linux Enterprise Server 11 SP4 xen Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS xen Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS xen Not affected
SUSE Linux Enterprise Server 12 SP2 xen Not affected
SUSE Linux Enterprise Server 12 SP2-BCL xen Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS xen Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS xen Not affected
SUSE Linux Enterprise Server 12 SP3 xen Not affected
SUSE Linux Enterprise Server 12 SP3-BCL xen Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS xen Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS xen Not affected
SUSE Linux Enterprise Server 12 SP4 xen Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS xen Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS xen Not affected
SUSE Linux Enterprise Server 15 xen Not affected
SUSE Linux Enterprise Server 15 SP1 xen Not affected
SUSE Linux Enterprise Server 15 SP1-BCL xen Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS xen Not affected
SUSE Linux Enterprise Server 15 SP2-BCL xen Not affected
SUSE Linux Enterprise Server 15 SP3-BCL xen Not affected
SUSE Linux Enterprise Server 15-LTSS xen Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 xen Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 xen Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 xen Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 xen Not affected
SUSE Linux Enterprise Server for SAP Applications 15 xen Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 xen Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 xen Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 xen Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 xen Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 xen Not affected
SUSE Manager Proxy 4.0 xen Not affected
SUSE Manager Proxy 4.1 xen Not affected
SUSE Manager Proxy 4.2 xen Not affected
SUSE Manager Retail Branch Server 4.0 xen Not affected
SUSE Manager Retail Branch Server 4.1 xen Not affected
SUSE Manager Retail Branch Server 4.2 xen Not affected
SUSE Manager Server 4.0 xen Not affected
SUSE Manager Server 4.1 xen Not affected
SUSE Manager Server 4.2 xen Not affected
SUSE OpenStack Cloud 7 xen Not affected
SUSE OpenStack Cloud 8 xen Not affected
SUSE OpenStack Cloud 9 xen Not affected
SUSE OpenStack Cloud Crowbar 8 xen Not affected
SUSE OpenStack Cloud Crowbar 9 xen Not affected


SUSE Timeline for this CVE

CVE page created: Tue Jan 23 10:00:41 2024
CVE page last modified: Sun Jun 16 02:58:04 2024